#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retrie
version:              0.1.1.1
visibility:           public
id:                   retrie-0.1.1.1-CIf9PRARAcNG4v3Ifj81Xm
key:                  retrie-0.1.1.1-CIf9PRARAcNG4v3Ifj81Xm
license:              MIT
copyright:            Copyright (c) Facebook, Inc. and its affiliates.
maintainer:           Andrew Farmer <anfarmer@fb.com>
author:               Andrew Farmer <anfarmer@fb.com>
homepage:             https://github.com/facebookincubator/retrie
synopsis:             A powerful, easy-to-use codemodding tool for Haskell.
description:
    Retrie is a tool for codemodding Haskell. Key goals include:

    * Speed: Efficiently rewrite in large (>1 million line) codebases.
    * Safety: Avoids large classes of codemod-related errors.
    * Ease-of-use: Haskell syntax instead of regular expressions. No hand-rolled AST traversals.

    This package provides a command-line tool (@retrie@) and a library
    ("Retrie") for making equational edits to Haskell code.

    Please see the [README](#readme) for examples and usage.

category:             Development
abi:                  24d82e4fbb10fdba0652e73f56765da7
exposed:              True
exposed-modules:
    Retrie Retrie.AlphaEnv Retrie.CPP Retrie.Context Retrie.Debug
    Retrie.ExactPrint Retrie.ExactPrint.Annotated Retrie.Expr
    Retrie.Fixity Retrie.FreeVars Retrie.GHC Retrie.GroundTerms
    Retrie.Monad Retrie.Options Retrie.PatternMap.Bag
    Retrie.PatternMap.Class Retrie.PatternMap.Instances Retrie.Pretty
    Retrie.Quantifiers Retrie.Query Retrie.Replace Retrie.Rewrites
    Retrie.Rewrites.Function Retrie.Rewrites.Rules
    Retrie.Rewrites.Types Retrie.Run Retrie.SYB Retrie.Subst
    Retrie.Substitution Retrie.Types Retrie.Universe Retrie.Util

import-dirs:          /usr/lib/ghc-8.10.3/site-local/retrie-0.1.1.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/retrie-0.1.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/retrie-0.1.1.1
hs-libraries:         HSretrie-0.1.1.1-CIf9PRARAcNG4v3Ifj81Xm
depends:
    ansi-terminal-0.11-JrIDCJyGSk48Fi60sEA6fd
    async-2.2.2-AmxsnW3S9S1EL2DZmoBPxg base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-4D834HG4S3pBjO3a7I4Zox directory-1.3.6.0
    filepath-1.4.2.1 ghc-8.10.3
    ghc-exactprint-0.6.3.3-DgsNsXyfHfZEq6uNHbjazA mtl-2.2.2
    optparse-applicative-0.16.1.0-1KfLnJDjOVeGNZVfn2I9ls
    process-1.6.9.0 random-shuffle-0.0.4-E4YJASIRLUL4hy3xbYCnpY
    syb-0.7.1-EJn6avnnYqseQTf54r0Yp text-1.2.4.1 transformers-0.5.6.2
    unordered-containers-0.2.13.0-CZ1lolzXKqq6TlKZBOiERd

haddock-interfaces:   /usr/share/doc/haskell-retrie/html/retrie.haddock
haddock-html:         /usr/share/doc/haskell-retrie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

